<?php
/**
 * 2007-2014 [PagSeguro Internet Ltda.]
 *
 * NOTICE OF LICENSE
 *
 *Licensed under the Apache License, Version 2.0 (the "License");
 *you may not use this file except in compliance with the License.
 *You may obtain a copy of the License at
 *
 *http://www.apache.org/licenses/LICENSE-2.0
 *
 *Unless required by applicable law or agreed to in writing, software
 *distributed under the License is distributed on an "AS IS" BASIS,
 *WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *See the License for the specific language governing permissions and
 *limitations under the License.
 *
 *  @author    PagSeguro Internet Ltda.
 *  @copyright 2007-2014 PagSeguro Internet Ltda.
 *  @license   http://www.apache.org/licenses/LICENSE-2.0
 */

/***
 * Billing information
 */
class PagSeguroBilling
{
    
    /***
     * Billing Address
     * @see PagSeguroAddress
     */
    private $address;

    /***
     * Initializes a new instance of the PagSeguroBilling class
     * @param $data
     */
    public function __construct($data = null)
    {
        if (isset($data) and is_array($data)) {
            $this->setAddress(new PagSeguroAddress($data));
        } elseif ($data instanceof PagSeguroAddress) {
            $this->setAddress($data);
        }
    }

    /***
     * Sets the billing address
     * @see PagSeguroAddress
     * @param PagSeguroAddress $address
     */
    public function setAddress(PagSeguroAddress $address)
    {
        $this->address = $address;
    }

    /***
     * @return PagSeguroAddress the billing address
     * @see PagSeguroAddress
     */
    public function getAddress()
    {
        return $this->address;
    }
}
